

### parameter setting

backgrdsamp=ETOPO1_Ice_g_gmt4.grd

# grid region east/west/south/north
region=141:30/142:30/39/39:36
# map projection and scale
proj=M23c

# boundary tick info
ticks=a6mf6mg6m
#ticks=a1f1g1

# boundary frame info
frame=WSne+tOff_the_coast_of_Otsuchi-bay

# color table min/maz/interval
climit=-1200/0/50
# contour interval
cint=50
# contour digit
cdigit=100
# contour min/max
limit=-1200/-0       


# conlor table file
cptfile=050haxby_area.cpt	

# latitude and longitude, stationName file
station_all=150_cruseAll_lat_lon.txt
#station_all=150_cruseAll_lat_lon_4grd.txt
station_smp=150_sampleID_lat_lon.txt
#station_smp=150_sampleID_lat_lon_4grd.txt

psfile=150map.ps
# textsize, font, color, justification
textfont="+f12p,Helvetica,-=0.5p,blue+jBL" 


####  Maing commands
if [ ! -e $backgrdsamp ];then
  echo "Gridfile", $backgrdsamp, " not exists."
  echo "Dowload this file from https://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/data/ice_surface/grid_registered/netcdf/"
  exit
fi

# making color table
gmt makecpt -Chaxby -T$climit -Z > $cptfile

gmt grdimage $backgrdsamp -R$region -J$proj -C$cptfile -X2c -Y1c  -K -V > $psfile
gmt grdcontour $backgrdsamp -R$region -J$proj -C$cint -A$cdigit -L$limit -W0.1 -K -O -V  >> $psfile

# Plot coast lines
#line_pscoast
#gmt pscoast -R$region -J$proj -Di -Ggray -W1 -X2c -Y1c -B0.1g0.1  -K > $psfile
gmt pscoast -R$region -J$proj -Df -Ggray -W0.1,black -K -V -O >> $psfile
gmt psscale -D24/5/10/0.5 -C$cptfile -Bf50a100g100 -K -O >> $psfile

# Plot all stations
# line_aws1
#                   "150_cruseAll_lat_lon.txt | gmt psxy -R -JM -Sc0.40 -W1 -Gwhite -O -K >> " + eachDirAddress + "150map.ps"
#awk '{print $3,$2}' $station_all | gmt psxy -R -JM -Sc0.40 -W1 -Gwhite -O -K >> $psfile
awk '{print $3,$2}' $station_all | gmt psxy -R$region -J$proj -Sc0.4 -W1 -Gwhite -O -K -V >> $psfile
#gmt psxy $station_all -R$region -J$proj -Sc0.4 -W1 -Gwhite -O -K -V >> $psfile

# Plot sampl station
#line_aws2
#awk '{print $3,$2}' $station_smp | gmt psxy -R -JM -Sc0.40 -W1 -Gred -O >> $psfile
awk '{print $3,$2}' $station_smp | gmt psxy -R$region -J$proj -Sc0.40 -W1 -Gred -O -K -V >> $psfile
#gmt psxy $station_smp -R$region -J$proj -Sc0.4 -W1 -Gred -O -K -V >> $psfile
gmt psbasemap -R$region -J$proj -B$ticks -B$frame -O -V >> $psfile

# pstext collects station names
#gmt pstext $station_all -R$region -J$proj -F$textfont -K -O -V >> $psfile
#gmt pstext $station_smp -R$region -J$proj -F$textfont -Gred -O -V >> $psfile

# Convet ps file to png file
gmt psconvert $psfile -P -Tg -E200

# Convert ps file to pdf file
#line_psconvert_pdf
gmt psconvert $psfile -P -Tf -E200
